<?php


if(session_status() != PHP_SESSION_ACTIVE)
{

if (isset($_SERVER['HTTPS']) &&
        ($_SERVER['HTTPS'] == 'on' || $_SERVER['HTTPS'] == 1) ||
        isset($_SERVER['HTTP_X_FORWARDED_PROTO']) &&
        $_SERVER['HTTP_X_FORWARDED_PROTO'] == 'https') {
            session_set_cookie_params(["samesite" => "None", 'Secure' => true]);
           
    }
    
    session_name('__OxaProc-PHPSESSID');
    session_start();
}
require_once 'application/class/class_ManageSession.php';
require_once 'php/info_panier.php';



/**

 * 

 * Ce fichier va nous permettre de gérer le contenue des popup dynamiquement 
 * on appel se fichier avec un CallUrl ainsi un tableau envoyer en parametre qui sera ensuite envoyer à notre vue comme on peu le voir . 
 * Dans le tableau passé en parametre depuis l'url on à le fichier XSL qui lui va venir changer la vue qui sera alimenter 

 */


    $i=0;

    $trouve = false; 
    $fichierXsl=''; 
    //  TODO DOSSIER 30317  : Test avec unserializeSecure($_GET['page']), et cela fonctionne
   
    $array_to_xsl = unserializeSecure(str_replace('\\','',getValue('page')));

    // Content Liste 
    
    // Liste Incident 
    $incident = SqlBr::rqlisteIncident()->TrouveTous(); 

    foreach($incident as $key => $value)
    {
        $incident[$key]['LIBELLE'] = $incident[$key]['LIBELLE'].' ('.$incident[$key]['COD_INC'].')';
    }
    
    $array_to_xsl['valueMotifLitige'] = urldecode($array_to_xsl['valueMotifLitige']);
    $array_to_xsl['valueCommentaire'] = urldecode($array_to_xsl['valueCommentaire']);
    $incident_liste['incident_liste'] = $incident;    

    foreach($array_to_xsl as $key => $value) 
    {

        if(substr($value, -4) == '.xsl')
        {
            $fichierXsl = $value;
            $trouve = true; 
        }
        else
        {
            $trouve = false; 
        }
        $i++;
    
        if($trouve == true)
        {
            break;
        }
    }

    $array_merging_xsl = array_merge($array_to_xsl, $incident_liste);

    $genXsl = new GenXslt(true);
    
    echo $genXsl->XslHtml($fichierXsl, $array_merging_xsl);

            




    


?>